[gentoo-commits] repo/gentoo:master commit in: app-emulation/dynamips/, app-emulation/dynamips/files/

2018-10-03 Thread Sergey Popov
commit: 5348dfdd461a4a7fcd3b58f5aec1311f6612fcbb
Author: Sergey Popov  gentoo  org>
AuthorDate: Wed Oct  3 10:16:35 2018 +
Commit: Sergey Popov  gentoo  org>
CommitDate: Wed Oct  3 10:21:36 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5348dfdd

app-emulation/dynamips: version bump

Signed-off-by: Sergey Popov  gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-emulation/dynamips/Manifest|  1 +
 app-emulation/dynamips/dynamips-0.2.18.ebuild  | 40 ++
 .../dynamips/files/dynamips-0.2.18-docs.patch  | 20 +++
 3 files changed, 61 insertions(+)

diff --git a/app-emulation/dynamips/Manifest b/app-emulation/dynamips/Manifest
index 3e4504e4962..49458378e13 100644
--- a/app-emulation/dynamips/Manifest
+++ b/app-emulation/dynamips/Manifest
@@ -1 +1,2 @@
 DIST dynamips-0.2.14-source.zip 961813 BLAKE2B 
71da393bfd5624ad47eda578eafd0f5b8b535d9a93c3ebc8902901c0415168098bb27ea44e92cbb230d0cf2ebb904311665978f1b30e6d35c7792b813a5cd8d2
 SHA512 
8c3d85998a61cae1e3e82501a00e886c954686f9a19a44acb7dee8b13911c0155ce2cdfecbdc41ed5d279266abdf77a5c3f2753fde12217b138313ffa46dabf8
+DIST dynamips-0.2.18.tar.gz 833554 BLAKE2B 
8152b436e8fc43061c5603a44ceae8feebdd4593649d2fb6a1814ca22cfce2f671f6f98df5f03ee6eeef10cf09fc444d406edd8d3b4a6037a89cf0e8301774ac
 SHA512 
d66e32d72ecc9ebff5232377ac9aa5b966ceb08884cc7f8dc4a8cf3f56305e7cefd677624ba66278f6603a3b275c384bd0ff3905932461b1f8056106cd272a4c

diff --git a/app-emulation/dynamips/dynamips-0.2.18.ebuild 
b/app-emulation/dynamips/dynamips-0.2.18.ebuild
new file mode 100644
index 000..1b58ec9cfda
--- /dev/null
+++ b/app-emulation/dynamips/dynamips-0.2.18.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Cisco 7200/3600 Simulator"
+HOMEPAGE="https://github.com/GNS3/dynamips;
+SRC_URI="https://github.com/GNS3/dynamips/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="ipv6"
+
+RDEPEND="dev-libs/elfutils
+   net-libs/libpcap"
+DEPEND="${RDEPEND}
+   app-arch/unzip"
+
+DOCS=( ChangeLog README.md RELEASE-NOTES )
+
+PATCHES=( "${FILESDIR}/${P}-docs.patch" )
+
+src_prepare() {
+   # comment out DYNAMIPS_FLAGS to respect CFLAGS
+   sed -e "s:^set ( DYNAMIPS_FLAGS:#&:" -i cmake/dependencies.cmake || die
+
+   cmake-utils_src_prepare
+}
+
+src_configure() {
+   local mycmakeargs=(
+   -DANY_COMPILER=1
+   -DENABLE_IPV6="$(usex ipv6)"
+   )
+   cmake-utils_src_configure
+}

diff --git a/app-emulation/dynamips/files/dynamips-0.2.18-docs.patch 
b/app-emulation/dynamips/files/dynamips-0.2.18-docs.patch
new file mode 100644
index 000..d94da32812b
--- /dev/null
+++ b/app-emulation/dynamips/files/dynamips-0.2.18-docs.patch
@@ -0,0 +1,20 @@
+--- a/CMakeLists.txt   2018-09-28 13:12:14 +0300
 b/CMakeLists.txt   2018-09-28 13:12:39 +0300
+@@ -37,16 +37,6 @@
+ add_subdirectory ( stable )
+ add_subdirectory ( unstable )
+ 
+-install_docs (
+-   "ChangeLog"
+-   "COPYING"
+-   "MAINTAINERS"
+-   "README.md"
+-   "README.hypervisor"
+-   "RELEASE-NOTES"
+-   "TODO"
+-   )
+-
+ # uninstall target - leaves behind any directory created during install
+ set ( _templatefile "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" )
+ set ( _scriptfile "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake" )
+



[gentoo-commits] repo/gentoo:master commit in: app-emulation/dynamips/, app-emulation/dynamips/files/

2018-10-03 Thread Sergey Popov
commit: b1f355d4bd5f6dedb30a87324e5a5b23e72f0d29
Author: Sergey Popov  gentoo  org>
AuthorDate: Wed Oct  3 10:05:06 2018 +
Commit: Sergey Popov  gentoo  org>
CommitDate: Wed Oct  3 10:07:23 2018 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1f355d4

app-emulation/dynamips: revision bump

Bump EAPI to 6, add support for compilers other than GCC
Drop old version

Reported-by: Denis Pronin  yandex.ru>
Signed-off-by: Sergey Popov  gentoo.org>
Closes: https://bugs.gentoo.org/665562
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 app-emulation/dynamips/Manifest|  1 -
 app-emulation/dynamips/dynamips-0.2.12.ebuild  | 47 --
 app-emulation/dynamips/dynamips-0.2.14-r2.ebuild   | 42 +++
 app-emulation/dynamips/files/0.2.14-docs.patch |  4 +-
 .../dynamips/files/dynamips-0.2.12-makefile.patch  | 11 -
 5 files changed, 44 insertions(+), 61 deletions(-)

diff --git a/app-emulation/dynamips/Manifest b/app-emulation/dynamips/Manifest
index 9f350ebfc4e..3e4504e4962 100644
--- a/app-emulation/dynamips/Manifest
+++ b/app-emulation/dynamips/Manifest
@@ -1,2 +1 @@
-DIST dynamips-0.2.12-source.zip 995877 BLAKE2B 
0bfc709f49b196763e8a3dcfde214e1e26c9c735257d588b72aefc3ca8dec2b1325ce3cb634b59555365c9dbd3819d959ab6e51e986c2dd62595b5566d76b39c
 SHA512 
08f388027e3234a44a75de77f30d6c96f0d881c4db60435a237f6ae6e3804872fda422ab11249f5c7283054f7d2d8466886dcd6056e59fc90802e67fa7cb8c55
 DIST dynamips-0.2.14-source.zip 961813 BLAKE2B 
71da393bfd5624ad47eda578eafd0f5b8b535d9a93c3ebc8902901c0415168098bb27ea44e92cbb230d0cf2ebb904311665978f1b30e6d35c7792b813a5cd8d2
 SHA512 
8c3d85998a61cae1e3e82501a00e886c954686f9a19a44acb7dee8b13911c0155ce2cdfecbdc41ed5d279266abdf77a5c3f2753fde12217b138313ffa46dabf8

diff --git a/app-emulation/dynamips/dynamips-0.2.12.ebuild 
b/app-emulation/dynamips/dynamips-0.2.12.ebuild
deleted file mode 100644
index 134ef537bf0..000
--- a/app-emulation/dynamips/dynamips-0.2.12.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils toolchain-funcs
-
-DESCRIPTION="Cisco 7200/3600 Simulator"
-HOMEPAGE="http://www.gns3.net/dynamips/;
-SRC_URI="mirror://sourceforge/project/gns-3/Dynamips/${PV}/${P}-source.zip"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="dev-libs/elfutils
-   net-libs/libpcap"
-DEPEND="${RDEPEND}
-   app-arch/unzip"
-
-src_prepare() {
-   epatch "${FILESDIR}/${P}-makefile.patch"
-
-   # enable verbose build
-   sed -i \
-   -e 's/@$(CC)/$(CC)/g' \
-   stable/Makefile || die 'sed on stable/Makefile failed'
-   # respect compiler
-   tc-export CC
-
-   epatch_user
-}
-
-src_compile() {
-   if use amd64 || use x86; then
-   emake DYNAMIPS_ARCH="${ARCH}"
-   else
-   emake DYNAMIS_ARCH="nojit"
-   fi
-}
-
-src_install () {
-   newbin dynamips.stable dynamips
-   newbin nvram_export.stable nvram_export
-   doman man/*
-   dodoc README README.hypervisor TODO
-}

diff --git a/app-emulation/dynamips/dynamips-0.2.14-r2.ebuild 
b/app-emulation/dynamips/dynamips-0.2.14-r2.ebuild
new file mode 100644
index 000..709519ab927
--- /dev/null
+++ b/app-emulation/dynamips/dynamips-0.2.14-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Cisco 7200/3600 Simulator"
+HOMEPAGE="http://www.gns3.net/dynamips/;
+SRC_URI="mirror://sourceforge/project/gns-3/Dynamips/${PV}/${P}-source.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="ipv6"
+
+RDEPEND="dev-libs/elfutils
+   net-libs/libpcap"
+DEPEND="${RDEPEND}
+   app-arch/unzip"
+
+DOCS=( ChangeLog README RELEASE-NOTES )
+
+S="${WORKDIR}"
+
+PATCHES=( "${FILESDIR}/${PV}-docs.patch" )
+
+src_prepare() {
+   # comment out DYNAMIPS_FLAGS to respect CFLAGS
+   sed -e "s:^set ( DYNAMIPS_FLAGS:#&:" -i cmake/dependencies.cmake || die
+
+   cmake-utils_src_prepare
+}
+
+src_configure() {
+   local mycmakeargs=(
+   -DANY_COMPILER=1
+   -DENABLE_IPV6="$(usex ipv6)"
+   )
+   cmake-utils_src_configure
+}

diff --git a/app-emulation/dynamips/files/0.2.14-docs.patch 
b/app-emulation/dynamips/files/0.2.14-docs.patch
index 1d744062e5b..0572a04c482 100644
--- a/app-emulation/dynamips/files/0.2.14-docs.patch
+++ b/app-emulation/dynamips/files/0.2.14-docs.patch
@@ -1,5 +1,5 @@
 CMakeLists-orig.txt2014-11-28 14:51:14.375913296 +0900
-+++ CMakeLists.txt 2014-11-28 14:52:09.579369288 +0900
+--- a/CMakeLists.txt   2014-11-28 14:51:14.375913296 +0900
 b/CMakeLists.txt   2014-11-28 14:52:09.579369288 +0900
 @@ -37,16 +37,6 @@
  add_subdirectory ( stable )
  add_subdirectory ( unstable )

diff --git